Subject: bug#25469: 26.0.50; Document lock files

From: Eli Zaretskii <[email-masked]>
Date: Tue, 17 Jan 2017 22:04:07 +0200

> From: Philipp Stephani <[email-masked]>
> Date: Tue, 17 Jan 2017 20:41:35 +0100
> 
> 
> There is no documentation at all about the format used by lock file
> names in either the Emacs or the Elisp manual: the indexes don't contain
> an entry for .#, and neither manual documents the format.  Given that
> these files are highly visible, I think their format should be
> documented.

I'm not sure I agree.  The format is an internal implementation
detail, and in fact we've changed it recently to solve an obscure bug.
Neither users nor Lisp programmers need to be aware of the format, and
if they are really curious, they can look in the C sources.